#pragma once

#if defined(SAMPLELIBRARY_DLL_EXPORTS)

#pragma message( " --- Compiling SampleLibrary as a Windows DLL" )
#define SAMPLELIBRARY_CLASS __declspec(dllexport)
#define SAMPLELIBRARY_FUNCTION __declspec(dllexport)
#define SAMPLELIBRARY_DATA __declspec(dllexport)

#else

#pragma message( " --- Using SampleLibrary as a Windows DLL" )
#define SAMPLELIBRARY_CLASS __declspec(dllimport)
#define SAMPLELIBRARY_FUNCTION __declspec(dllimport)
#define SAMPLELIBRARY_DATA __declspec(dllimport)

#endif

/////////////////////////////////////////////////////////////////////////////
// Exported functions

SAMPLELIBRARY_FUNCTION
double Shared_AddNumbers(double a, double b);

SAMPLELIBRARY_FUNCTION
ON_3dVector Shared_AddVectors(ON_3dVector a, ON_3dVector b);

/////////////////////////////////////////////////////////////////////////////
// Plug-in linking pragmas

#if !defined(SAMPLELIBRARY_DLL_EXPORTS)

#if defined(NDEBUG) && defined(RHINO_DEBUG_PLUGIN)
#pragma message( " --- Plug-in linking with SampleLibrary Debug x64." )
#pragma comment(lib, "../x64/Debug/SampleLibrary.lib")

#elif defined(NDEBUG)
#pragma message( " --- Plug-in linking with SampleLibrary Release x64." )
#pragma comment(lib, "../x64/Release/SampleLibrary.lib")

#endif

#endif // SAMPLELIBRARY_DLL_EXPORTS