#include "StdAfx.h"

////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////
//
// BEGIN SamplePlugIn1 command
//

#pragma region SamplePlugIn1 command

class CCommandSamplePlugIn1 : public CRhinoCommand
{
public:
  CCommandSamplePlugIn1() = default;
  UUID CommandUUID() override
  {
    // {98BFDF55-FFDF-45CC-95BE-53E0C2761C5D}
    static const GUID SamplePlugIn1Command_UUID =
    { 0x98BFDF55, 0xFFDF, 0x45CC,{ 0x95, 0xBE, 0x53, 0xE0, 0xC2, 0x76, 0x1C, 0x5D } };
    return SamplePlugIn1Command_UUID;
  }
  const wchar_t* EnglishCommandName() override { return L"SamplePlugIn1"; }
  CRhinoCommand::result RunCommand(const CRhinoCommandContext& context) override;
};

// The one and only CCommandSamplePlugIn1 object
static class CCommandSamplePlugIn1 theSamplePlugIn1Command;

CRhinoCommand::result CCommandSamplePlugIn1::RunCommand(const CRhinoCommandContext& context)
{
  CRhinoGetNumber gn;
  gn.SetCommandPrompt(L"First number to add");
  gn.GetNumber();
  if (gn.CommandResult() != CRhinoCommand::success)
    return gn.CommandResult();

  double a = gn.Number();

  gn.SetCommandPrompt(L"Second number to add");
  gn.GetNumber();
  if (gn.CommandResult() != CRhinoCommand::success)
    return gn.CommandResult();

  double b = gn.Number();

  double rc = Shared_AddNumbers(a, b);
  RhinoApp().Print(L"Number results = %f\n", rc);

  ON_3dVector dir0 = ON_3dVector::XAxis;
  ON_3dVector dir1 = ON_3dVector::YAxis;
  ON_3dVector dir2 = Shared_AddVectors(dir0, dir1);
  ON_wString str;
  RhinoFormatPoint(dir2, str);
  RhinoApp().Print(L"Vector results = (%s)\n", (const wchar_t*)str);

  return CRhinoCommand::success;
}

#pragma endregion

//
// END SamplePlugIn1 command
//
////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////
