#include "StdAfx.h"

////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////
//
// BEGIN SamplePlugIn2 command
//

#pragma region SamplePlugIn2 command

class CCommandSamplePlugIn2 : public CRhinoCommand
{
public:
  CCommandSamplePlugIn2() = default;
  UUID CommandUUID() override
  {
    // {A573D392-F5BE-45C9-9A30-BFFA2811046F}
    static const GUID SamplePlugIn2Command_UUID =
    { 0xA573D392, 0xF5BE, 0x45C9,{ 0x9A, 0x30, 0xBF, 0xFA, 0x28, 0x11, 0x04, 0x6F } };
    return SamplePlugIn2Command_UUID;
  }
  const wchar_t* EnglishCommandName() override { return L"SamplePlugIn2"; }
  CRhinoCommand::result RunCommand(const CRhinoCommandContext& context) override;
};

// The one and only CCommandSamplePlugIn2 object
static class CCommandSamplePlugIn2 theSamplePlugIn2Command;

CRhinoCommand::result CCommandSamplePlugIn2::RunCommand(const CRhinoCommandContext& context)
{
  CRhinoGetNumber gn;
  gn.SetCommandPrompt(L"First number to add");
  gn.GetNumber();
  if (gn.CommandResult() != CRhinoCommand::success)
    return gn.CommandResult();

  double a = gn.Number();

  gn.SetCommandPrompt(L"Second number to add");
  gn.GetNumber();
  if (gn.CommandResult() != CRhinoCommand::success)
    return gn.CommandResult();

  double b = gn.Number();

  double rc = Shared_AddNumbers(a, b);
  RhinoApp().Print(L"Number results = %f\n", rc);

  ON_3dVector dir0 = ON_3dVector::XAxis;
  ON_3dVector dir1 = ON_3dVector::YAxis;
  ON_3dVector dir2 = Shared_AddVectors(dir0, dir1);
  ON_wString str;
  RhinoFormatPoint(dir2, str);
  RhinoApp().Print(L"Vector results = (%s)\n", (const wchar_t*)str);

  return CRhinoCommand::success;
}

#pragma endregion

//
// END SamplePlugIn2 command
//
////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////
